<?php
/**
 * All settings related to footer recommended post.
 *
 * @package MagFusion
 */
$wp_customize->add_section(
	'article_list_post',
	array(
		'title' => esc_html__( 'Article List Section', 'magfusion' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'magfusion_options[enable_article_list_post]',
    array(
        'default'           => $magfusion_default['enable_article_list_post'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_article_list_post]',
    array(
        'label'       => esc_html__( 'Enable Article List Post', 'magfusion' ),
        'section'     => 'article_list_post',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_section_seperator_article_list_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_article_list_1',
        array(
            'label'         => esc_html__( 'Article List Column - 1', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_article_list_1',
            'section' => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_category_1]',
    array(
        'default'           => $magfusion_default['article_list_post_category_1'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[article_list_post_category_1]',
        array(
            'label'           => __( 'Choose Column - 1 Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_1_offset]',
    array(
        'default' => $magfusion_default['article_list_post_1_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[article_list_post_1_offset]',
    array(
        'label' => __('Article List Post Offset', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);




$wp_customize->add_setting(
    'magfusion_section_seperator_article_list_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_article_list_2',
        array(
            'label'         => esc_html__( 'Article List Column - 2', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_article_list_2',
            'section' => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_category_2]',
    array(
        'default'           => $magfusion_default['article_list_post_category_2'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[article_list_post_category_2]',
        array(
            'label'           => __( 'Choose Column - 2 Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_2_offset]',
    array(
        'default' => $magfusion_default['article_list_post_2_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[article_list_post_2_offset]',
    array(
        'label' => __('Article List Post Offset', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);




$wp_customize->add_setting(
    'magfusion_section_seperator_article_list_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_article_list_3',
        array(
            'label'         => esc_html__( 'Article List Column - 3', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_article_list_3',
            'section' => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_category_3]',
    array(
        'default'           => $magfusion_default['article_list_post_category_3'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[article_list_post_category_3]',
        array(
            'label'           => __( 'Choose Column - 3 Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'article_list_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[article_list_post_3_offset]',
    array(
        'default' => $magfusion_default['article_list_post_3_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[article_list_post_3_offset]',
    array(
        'label' => __('Article List Post Offset', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);




$wp_customize->add_setting(
    'magfusion_section_seperator_article_list_meta',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_article_list_meta',
        array(
            'label'         => esc_html__( 'Article List Meta Option', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_article_list_meta',
            'section' => 'article_list_post',
        )
    )
);





$wp_customize->add_setting(
    'magfusion_options[enable_article_list_post_author_meta]',
    array(
        'default' => $magfusion_default['enable_article_list_post_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_article_list_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_author_meta]',
    array(
        'default' => $magfusion_default['select_article_list_post_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => magfusion_author_meta(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[article_list_post_author_meta_title]',
    array(
        'default' => $magfusion_default['article_list_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[article_list_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'magfusion_options[enable_article_list_post_date_meta]',
    array(
        'default' => $magfusion_default['enable_article_list_post_date_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_article_list_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_date]',
    array(
        'default' => $magfusion_default['select_article_list_post_date'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => magfusion_date_meta(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_date_meta_title]',
    array(
        'default' => $magfusion_default['select_article_list_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_date_format]',
    array(
        'default' => $magfusion_default['select_article_list_post_date_format'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => magfusion_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[enable_article_list_post_category_meta]',
    array(
        'default' => $magfusion_default['enable_article_list_post_category_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_article_list_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_number_of_category]',
    array(
        'default' => $magfusion_default['select_article_list_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'magfusion_options[article_list_post_category_label]',
    array(
        'default' => $magfusion_default['article_list_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[article_list_post_category_label]',
    array(
        'label' => __('Category Label', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_article_list_post_category_color]',
    array(
        'default' => $magfusion_default['select_article_list_post_category_color'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_article_list_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'magfusion'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => magfusion_category_color(),
    )
);